tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 25415] - in JSTL fmt Multiple setLocale work is not compatible JSTL 1.1 specif
Date Thu, 11 Dec 2003 23:07:29 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=25415>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=25415

in JSTL fmt Multiple setLocale work is not compatible JSTL 1.1 specif





------- Additional Comments From pierre.delisle@sun.com  2003-12-11 23:07 -------
William,

If you are working with a JSP 2.0 container (which Tomcat 5.x is), I suggest you
use a JSTL 1.1 implementation. I have tested your page with Tomcat 5.0.16 and
standard-1.1.0-B1, and everything worked fine.

Here is what you'll have to do:

  1. Modify the JSTL URIs:

       from: <%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="f" %>
         to: <%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="f" %>

  2. Change your web.xml so it is servlet 2.4 based:

       from:
<!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/dtd/web-app_2_3.dtd">
         to:
<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee web-app_2_4.xsd"
    version="2.4">

      from:
  <context-param>
    <param-name>javax.servlet. jsp.jstl.fmt.localizationContext</param-name>
    <param-value>Directory</param-value>
    <description>资源文件</description>
  </context-param>
      to:
  <context-param>
    <description>资源文件</description>
    <param-name>javax.servlet. jsp.jstl.fmt.localizationContext</param-name>
    <param-value>Directory</param-value>
  </context-param>
       
  3. Use the standard-1.1-B1 jars

     get rid of the jar files in your WEB-INF/lib directory, and copy
     standard.jar and jstl.jar from stardard-1.1-B1.

If you could confirm that this works for you, and then close the bug, that would
be great.

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org


Mime
View raw message